package util

import (
	"fmt"
	"github.com/jacobsa/go-serial/serial"
	"log"
)

func openSerial(portName string) {
	// 配置串口参数
	options := serial.OpenOptions{
		PortName:        portName, // /dev/ttymxc4 6 3
		BaudRate:        9600,
		DataBits:        8,
		StopBits:        1,
		MinimumReadSize: 4,
	}

	// 打开串口
	port, err := serial.Open(options)
	if err != nil {
		fmt.Printf("err : %s", err.Error())
		return
	}

	// 关闭串口
	defer port.Close()
	for {
		// 读取数据
		buf := make([]byte, 128)
		n, err := port.Read(buf)
		if err != nil {
			log.Fatal(err)
		}

		// 输出读取到的数据
		fmt.Printf("Read %s %d bytes: %s \n", portName, n, string(buf[:n]))
	}
}
